#ifndef ANALOG_HEADER
#define ANALOG_HEADER

/* Kivalasztja a merendo analog bemenetet.
   A ch erteke 0-8 lehet */
extern void analog_select(unsigned int ch);

/* Az ADC beallitasa es bekapcsolasa */
extern void analog_init(int ch);

/* A kivalasztott csatornat lemeri. A meresi
   eredmeny 0-4095 kozott */
extern int analog();

/* A kivalasztott csatornat lemeri, az eredmenyt
   szazalekban adja (0-100%) */
extern int analog_p();

/* A belso homero szenzor erteket adja Celsius-ban */
extern float temperature();

#endif
