#include <stdio.h>
#include "f380.h"
#include "serial.h"
#include "silprell.h"

volatile unsigned char b= 0;

void ext0_isr() __interrupt (0)
{
  b= b+1;
  P4= b<<5;
  EX0= 0;
  cnt100= 2;
  P4&= ~0x10;
}

void
main(void)
{
  unsigned char bp;
  f380_init();
  f380_serial_init();
  debounce();
  P4= b<<5;
  EX0= 1;P4|= 0x10;
  IT0= 1;
  bp= b;
  printf("b=%d\n", b);
  while (1)
    {
      if (bp != b)
	{
	  printf("b=%d\n", b);
	  bp= b;
	}
      if (serial_received())
	{
	  serial_send(serial_receive());
	}
      if (!EX0 && (cnt100==0) && btn2)
	{
	  IE0= 0;
	  EX0= 1;
	  P4|= 0x10;
	  serial_send('_');
	}
      /*
      if (P3_2)
	P4|= 0x10;
      else
	P4&= ~0x10;
      if (P3_3)
	P4|= 0x20;
      else
	P4&= ~0x20;
      */
      //P4= P0<<4;
    }
}
