/*    A P1.0-P1.7 kimeneteken mkdtess egy 8 llapot futfnyt
      (szotveres ksleltetssel). A mozg mintzat a P3.0-P3.1
      bemenetekkel legyen kivlaszthat (4 fle). A P3.2 0 rtke
      kapcsolja ki, 1 rtke pedig be a futfnyt.
*/

#include "hw.h"

#if defined __SDCC || defined SDCC
#define BEKAPCS P3_2
#elif defined __C51__
#define BEKAPCS P3^2
#else /* IAR4 */
#define BEKAPCS P3.2
#endif

unsigned char mintak[4]= { 0x55, 0x33, 0x0f, 0x7f };
unsigned char aktualis; /* elforgatott ertek */
unsigned char minta;    /* hasznalt minta indexe */
bit kitolt_bit, dummy;

void main(void)
{
  volatile int i;
  /* kezdoertekek */
  minta= P3 & 3;
  aktualis= mintak[minta];
  P1= aktualis;
  /* vegtelen ciklus */
  while (1)
     {
       if ((P3 & 3) != minta)
         {
           /* mintat valtunk */
	   minta= P3 & 3;
	   aktualis= mintak[minta];
         }
       if (BEKAPCS)
         {
           /* bekapcsolva */
           /* legfelso bit tarolasa egy atmeneti valtozoban */
           kitolt_bit= (aktualis & 0x80)?1:0;
           /* eltolas balra 1-el */
           aktualis<<= 1;
           /* a kitolt bit bemasolasa a jobb oldalra (forgatas) */
           if (kitolt_bit)
	     aktualis|= 1;
           /* eredmeny a kimenetre */
           P1= aktualis;
           /* ures ciklus kesleltetes gyanant */
           for (i=0; i<100; i++)
	     ;	   
         }
     }
}
