#include <stdio.h>
#include "f020.h"
#include "serial.h"

unsigned char x;

void
main(void)
{
  silabs_init(CLK_22M);
  serial_init(9600);
  br_init(BR_19K);
  printf("Hello World!\n\r");
  x= P3;
  for (;;)
    {
      if (vetel_volt())
	{
	  char c= serial_send(serial_receive());
	}
      P0^= 0xf0;
      { unsigned int i; for (i=0;i<60000;i++) ; }
      if ((x&0x3c) != (P3&0x3c))
	{
	  if ((x&0x20) != (P3&0x20))
	    {
	      if ((P3&0x20)==0)
		{
		  oscillator_init(CLK_8M);
		  br_init(BR_19K);
		}
	    }
	  if ((x&0x10) != (P3&0x10))
	    {
	      if ((P3&0x10)==0)
		{
		  oscillator_init(CLK_16M);
		  br_init(BR_19K);
		}
	    }
	  if ((x&0x08) != (P3&0x08))
	    {
	      if ((P3&0x08)==0)
		{
		  oscillator_init(CLK_11M);
		  br_init(BR_19K);
				}
	    }
	  if ((x&0x04) != (P3&0x04))
	    {
	      if ((P3&0x04)==0)
		{
		  oscillator_init(CLK_22M);
		  br_init(BR_19K);
		}
	    }
	  x= P3;
	  printf("\n\rFosc=%ld\n\r", get_Fosc());
	}
    }
}
