#include <stdio.h>

#include "f020.h"
#include "serial.h"
#include "silprell.h"
#include "bootld.h"
#include "br_setup.h"
#include "print.h"
#include "silser.h"


bit b5, b4, b3, b2;

#if defined __SDCC || defined SDCC
#define pf printf_small
#else
#define pf printf
#endif

void
main(void)										
{
  int i;
  unsigned char j, k= 10;
  char c= 'U';
  /*__code struct t_board_info * */CODE_PTR(struct t_board_info)board_info=
    (/*__code struct t_board_info * */CODE_PTR(struct t_board_info))BOARD_INFO;
  
  silabs_init(CLK_22M);
  /*beallitas();*/
  serial_init(1200);
  br_init(BR_19K);
  EA= 1;
  debounce();
  //return;
  P0= 0x10;
  b5= btn5;
  b4= btn4;
  b3= btn3;
  b2= btn2;
  for (;;)
    {
      reload_code();
      if (b2!=btn2)
	{
	  b2= btn2;
	  if (!btn2)
	    k=5;
	}
      if (b3!=btn3)
	{
	  b3= btn3;
	  if (!btn3)
	    {
	      if (k>5)
		k--;
	    }
	}
      if (b4!=btn4)
	{
	  b4= btn4;
	  if (!btn4)
	    {
	      if (k<40)
		k++;
	    }
	}
      if (b5!=btn5)
	{
	  b5= btn5;
	  if (!btn5)
	    k=40;
	}
      if (!btn2 && !btn5)
	br_setup();
      if (!btn2 || !btn3 || !btn4 || !btn5)
	{
	  P0_4= !btn5;
	  P0_5= !btn4;
	  P0_6= !btn3;
	  P0_7= !btn2;
	}
      else
	{
	  if ((P0&0xf0)==0x80)
	    P0= 0x10;
	  else
	    P0= (P0<<1)&0xf0;
	  for (j=0;j<k;j++)
	    for (i=0;i<10000;i++);
	}
      pf("CLK=%ld BR[%d]=%ld ", get_Fosc(), used_br, br_table[used_br]);	
      kikuld(c); print_x(P0);
      kikuld(c); print_x(P1);
      kikuld(c); print_x(P2);
      kikuld(c); print_x(P3);
      pf(" %d%d%d%d %d", btn5?1:0, btn4?1:0, btn3?1:0, btn2?1:0, k);
      kikuld('\n');kikuld('\r');
      if (serial_received())
	{
	  c= silabs_receive();
	}
    }
}
