#include "hw.h"

#include <ctype.h>
#include <stdio.h>

#include "serial.h"
#include "print.h"


bit dummy1= 0;	/* IAR szintaxis */
__bit dummy2;	/* SDCC szintaxis */

#if defined __SDCC || defined SDCC
#define KIMENET P1_1
#elif defined __C51__
sbit KIMENET= P1^1;
#else /* IAR4 */
#define KIMENET P1.1
#endif

void
main(void)
{
  /*serial_init(19200);*/
  beallitas();

  /* Szoveg kiirasa */
  print("Hello World!\n");

  /* Szamok kiirasa */
  print("Hexadecimalisan: "); print_x(0x1234); kikuld('\n');
  print("Decimalisan    : "); print_d(-1234); kikuld('\n');
  print("Elojel nelkul  : "); print_u(56789); kikuld('\n');

  print_f("U: %u\r", 23456789);
  print_f("D: %d\r", -23456789);
  print_fp("P: %p\r", (CODE_PTR(char))0xf0ea);
  print_f("X: %x\r", 0x12345678);
  print_f("2: %2\r", 0x12345678);
  print_f("4: %4\r", 0x12345678);
  for (;;)
    {
      if (serial_received())
	{
	  char c= vett(); /* A soros-nal megszokott fuggvenyek is hasznalhatok */
	  serial_send(toupper(c));
	}
      else
	KIMENET= !KIMENET;
    }
}


/* End of proba.c */
