/*
  T1.h
  Segedlet a T1 idozito hasznalatahoz
  (c) Drotos Daniel, 2013
*/

#ifndef T1_HEADER
#define T1_HEADER

#ifndef bool
#define bool char
#endif

#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE 1
#endif

/*
  Beallitja a T1-t idozito 1 uzemmodba (leallitja
  a szamlalot)
*/
extern void T1idozito1(bool kapuzott);


/*
  Beallitja a T1-t szamlalo uzemmodba (leallitja
  a szamlalot.
*/
extern void T1szamlalo(bool kapuzott);


/*
  Ez a ket fuggveny a szamlalo aktualis erteket
  modositja. Egyforma a ketto, az egyik pl a foprogrambol,
  mig a masik a megszakitas kezelobol hivhato.
*/
extern void T1beallit(unsigned int kezdoertek);
extern void T1ujratolt(unsigned int kezdoertek);

#define T1set(x) { TH1=(x)>>8;TL1=(x)&0xff; }


/*
  A szamlalo elinditasahoz es leallitasahoz hasznalhato
  makrok
*/
#define T1start() TR1=1
#define T1stop() TR1=0


/*
  A szamlalo aktualis allapota es a tulcsordulasig hatralevo
  ido usec-ben
*/
extern float T1eltelt_us(void);
extern float T1hatravan_us(void);

/*
  A szamlalo aktualis allapota es a tulcsordulasig hatralevo
  ido msec-ben
*/
#define T1eltelt() (T1eltelt_us()/1000.0)
#define T1hatravan() (T1hatravan_us()/1000.0)


#endif

/* End of T1.h */
